import "./tasks/spladder_quantification.wdl" as spladder_quantification


workflow {{ project_name }} {
    String sample_id
    File bam
    File pickle
    File merge_graphs
    File count_hdf5
    File reference_gtf_file
    File samples

    String spladder_docker
    String spladder_cluster
    String disk_size	

	call spladder_quantification.spladder_quantification as spladder_quantification {
		input:
		reference_gtf_file=reference_gtf_file,
		sample_id=sample_id,
		bam=bam,
		pickle=pickle,
		merge_graphs=merge_graphs,
		count_hdf5=count_hdf5,
		samples=samples,
		spladder_docker=spladder_docker,
		spladder_cluster=spladder_cluster,
		disk_size=disk_size
	}
}